Portal > General Discussions > Topic Details
justsomeoneelse Nov 9, 2013 @ 12:02pm
NVIDIA GeForce 6200: glColorMaskIndexedEXT not found
As a warning for others on old hardware who might be suckered into getting Portal for Linux today:

I'm on Ubuntu 12.04, latest updates using
Renderer: GeForce 6200 LE/PCIe/SSE2
Version: 2.1.2 NVIDIA 304.38

This is far from recent hardware, but portal was initially released in 2007, so I ocnsidered it save for this machine. Instead I get:

"Could not find required OpenGL entry point 'glColorMaskIndexedEXT'! Either your video card is unsupported or your OpenGL driver needs to be updated."

Apparently this is not limited to Portal: same issue for TF2

According to that thread, NVIDIA dropped support for 6xxx and 7xxx cards in their latest driver. Wonderful.

In case anyone from Valve reads this: would it be so difficult to provide check programs that run on local systems to verify if requirements are met BEFORE the purchase?
Date Posted: Nov 9, 2013 @ 12:02pm
Posts: 0